import $http from "./request/requestConfig"
import {
    BASE_URI
} from "../pages/utils/constant.js";
import qs from 'qs';

const baseUri = ''
const dict = '/wx/dict/'
const dock = '/wx/dock/'
// 
// ​/wx​/dock​/reservationListPage
export function reservationListPage(data) {
    return $http.post(
        baseUri + dock + 'reservationListPage',
        data, {}
    )
}

export function getReservationById(data) {
    return $http.post(
        baseUri + dock + 'getReservationById',
        data, {}
    )
}
export function getReservationVoById(data) {
    return $http.post(
        baseUri + dock + 'getReservationVoById',
        data, {}
    )
}

// /wx/dock/reservationBizListPage
export function reservationBizListPage(data) {
    return $http.post(
        baseUri + dock + 'reservationBizListPage',
        data, {}
    )
}
// cancelReservation
export function cancelReservation(data) {
    return $http.post(
        baseUri + dock + 'cancelReservation',
        data, {}
    )
}
// /wx/dock/doReservationSign
export function doReservationSign(data) {
    return $http.post(
        baseUri + dock + 'doReservationSign',
        data, {}
    )
}
// /wx/dock/doReservationFinish
export function doReservationFinish(data) {
    return $http.post(
        baseUri + dock + 'doReservationFinish',
        data, {}
    )
}
// export function getReservationVoById(data) {
//     return $http.post(
//         baseUri + dock + 'getReservationVoById',
//         data, {}
//     )
// }